curl --request GET \
--url https://app.gecko.security/api/v1/repositories/{repositoryId}/vulnerabilities \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.gecko.security/api/v1/repositories/{repositoryId}/vulnerabilities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.gecko.security/api/v1/repositories/{repositoryId}/vulnerabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "v1",
"repository": "gecko-security/Paperbaum",
"data": [
{
"id": "3b8d0e21-4c2f-5e3d-0b44-2edf9d8b2e12",
"scanId": "11111111-1111-1111-1111-111111111111",
"scanName": "Weekly Security Scan",
"scanCreatedAt": "2025-08-02T08:00:00.000Z",
"severity": 7.5,
"confidenceScore": 9,
"title": "Path Traversal in File Download",
"type": "LFI",
"cwe": "CWE-22",
"filePath": "api/files/download.py",
"shortDescription": "User-controlled path allows reading arbitrary files.",
"cvssVector": "CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N"
}
],
"pagination": {
"total": 5,
"limit": 100,
"offset": 0,
"hasMore": false
},
"filters": {
"severity": null,
"type": null,
"cwe": null,
"days": 7
}
}List vulnerabilities for a repository
Returns vulnerabilities for the repository path in repositoryId. URL-encode the repository path before you send it. For example, use gecko-security%2FPaperbaum for gecko-security/Paperbaum.
Authorizations
Team-scoped Gecko API key. Keys start with gk_.
Path Parameters
URL-encoded repository path, for example gecko-security%2FPaperbaum or gitlab:group%2Fproject.
Query Parameters
Filter to vulnerabilities with a severity greater than or equal to this value.
0 <= x <= 10Filter vulnerabilities by type. Gecko performs a case-insensitive substring match.
Filter vulnerabilities by CWE. Gecko performs a case-insensitive substring match.
Filter results to scans created within the last N days.
x >= 1Maximum number of results to return. Gecko defaults to 100 and caps the value at 1000.
1 <= x <= 1000Number of results to skip before Gecko starts returning rows.
x >= 0Was this page helpful?